View Issue Details

IDProjectCategoryView StatusLast Update
0032609Open CASCADEOCCT:Visualizationpublic2021-11-23 23:46
Reporterkgv Assigned Tosmoskvin  
PrioritynormalSeverityminor 
Status closedResolutionfixed 
Product Version7.6.0 
Target Version7.6.0Fixed in Version7.6.0 
Summary0032609: Visualization, Wasm_Window - handle mouse movements outside canvas element
DescriptionWasm_Window::ProcessMouseEvent() rejects mouse unclicks outside canvas element.
It is desired to support this behavior when application wants to.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberN/A

Relationships

parent of 0032638 closedsmoskvin Draw Harness, ViewerTest - HTML input range misbehavior in WebAssembly 
parent of 0032686 verifiedsmoskvin Visualization, Wasm_Window - filter out unexpected pressed buttons state within mouse move / up events 
child of 0032433 closedbugmaster Visualization, TKService - introduce Wasm_Window implementing Aspect_Window interface using Emscripten SDK 

Activities

git

2021-10-06 23:55

administrator   ~0104527

Branch CR32609 has been created by kgv.

SHA-1: 3cdea3b9392c93598e8144bd3beb6bcae506acd6


Detailed log of new commits:

Author: kgv
Date: Wed Oct 6 23:55:43 2021 +0300

    0032609: Visualization, Wasm_Window - handle mouse movements outside canvas element
    
    Wasm_Window::ProcessMouseEvent() - removed redundant check on EMSCRIPTEN_EVENT_MOUSEUP event.
    ViewerTest and WebGL sample - mouse movements are now tracked on window element
    to allow tracking updates when mouse with clicked button is moved outside canvas element.

kgv

2021-10-07 00:23

developer   ~0104528

Patch is ready for review
- OCCT: branch CR32609.

osa

2021-10-08 10:28

developer   ~0104539

The patch was reviewed

smoskvin

2021-10-09 12:07

administrator   ~0104567

Combination -
OCCT branch : IR-2021-10-08
master SHA - 56b495d93bc70a96c9f07a6025b83e2e5e70eef7
49e51745631c52b6c452c65adae4d6dfa21a1b1e
Products branch : IR-2021-10-08 SHA - fe10ebabd09fbeb2e94180b50cd581aa0612d135
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17935.650000000136 / 17754.63000000043 [+1.02%]
Products
Total CPU difference: 11611.53000000011 / 11405.930000000111 [+1.80%]
Windows-64-VC14:
OCCT
Total CPU difference: 19689.8125 / 19680.3125 [+0.05%]
Products
Total CPU difference: 12938.8125 / 12772.859375 [+1.30%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

git

2021-10-09 12:36

administrator   ~0104577

Branch CR32609 has been deleted by mnt.

SHA-1: 3cdea3b9392c93598e8144bd3beb6bcae506acd6

Related Changesets

occt: master f1c209dc

2021-10-06 20:55:43

kgv


Committer: smoskvin Details Diff
0032609: Visualization, Wasm_Window - handle mouse movements outside canvas element

Wasm_Window::ProcessMouseEvent() - removed redundant check on EMSCRIPTEN_EVENT_MOUSEUP event.
ViewerTest and WebGL sample - mouse movements are now tracked on window element
to allow tracking updates when mouse with clicked button is moved outside canvas element.
Affected Issues
0032609
mod - samples/webgl/WasmOcctView.cpp Diff File
mod - src/ViewerTest/ViewerTest_EventManager.cxx Diff File
mod - src/Wasm/Wasm_Window.cxx Diff File

Issue History

Date Modified Username Field Change
2021-10-06 23:53 kgv New Issue
2021-10-06 23:53 kgv Assigned To => kgv
2021-10-06 23:55 git Note Added: 0104527
2021-10-07 00:23 kgv Test case number => N/A
2021-10-07 00:23 kgv Note Added: 0104528
2021-10-07 00:23 kgv Assigned To kgv => osa
2021-10-07 00:23 kgv Status new => resolved
2021-10-07 00:23 kgv Relationship added child of 0032433
2021-10-08 10:28 osa Note Added: 0104539
2021-10-08 10:28 osa Assigned To osa => bugmaster
2021-10-08 10:28 osa Status resolved => reviewed
2021-10-09 12:07 smoskvin Note Added: 0104567
2021-10-09 12:07 smoskvin Status reviewed => tested
2021-10-09 12:31 smoskvin Changeset attached => occt master f1c209dc
2021-10-09 12:31 smoskvin Assigned To bugmaster => smoskvin
2021-10-09 12:31 smoskvin Status tested => verified
2021-10-09 12:31 smoskvin Resolution open => fixed
2021-10-09 12:36 git Note Added: 0104577
2021-10-21 19:21 kgv Relationship added parent of 0032638
2021-11-23 23:46 kgv Relationship added parent of 0032686